<div class="row">
  <!-- <div class="col-4">
    <dp-day-calendar name="selectedDate" [(ngModel)]="selectedDate" [config]="datePickerConfig" [theme]="'dp-material'">
    </dp-day-calendar>
  </div> -->
  <div class="col-4">
    <form class="" method="" action="" #userEntryForm="ngForm" (ngSubmit)="submit(userEntryForm)">
      <label>Name *</label>
      <input type="text" name="name" [(ngModel)]="name" #nameRef="ngModel" placeholder="Enter Name" autocomplete="off"
        required />
      <span *ngIf="nameRef.invalid && (nameRef.dirty ||userEntryForm.submitted)">Name is required</span>
      <label>Email *</label>
      <input type="text" name="email" [(ngModel)]="email" #emailRef="ngModel" placeholder="Enter Email"
        autocomplete="off" pattern="^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$" required />
      <span *ngIf="emailRef.invalid && (emailRef.dirty ||userEntryForm.submitted)">Required valid mail</span>

      <label>Phone *</label>
      <input type="text" name="phone" [(ngModel)]="phone" #phoneRef="ngModel" placeholder="Enter Phone"
        autocomplete="off" pattern="[789][0-9]{9}" minlength="10" maxlength="10" required />
      <span *ngIf="phoneRef.invalid && (phoneRef.dirty ||userEntryForm.submitted)">Required valid mail</span>

      <label>Date</label>
      <dp-date-picker name="selectedDate" [(ngModel)]="selectedDate" #selectedDateRef="ngModel"
        [config]="datePickerConfig" [theme]="'dp-material'" required>
      </dp-date-picker>
      <span *ngIf="selectedDateRef.invalid && (selectedDateRef.dirty ||userEntryForm.submitted)">Required valid
        date</span>

      <label>Time</label>
      <input type="text" name="time" [(ngModel)]="time" #timeRef="ngModel" placeholder="Ex  10:30" autocomplete="off"
        required />
      <span *ngIf="timeRef.invalid && (timeRef.dirty ||userEntryForm.submitted)">Required valie time ( ex 18:30)</span>

      <div>
        <span (click)="back()">Cancel</span>
        <input type="submit" name="submit" value="Save" />
      </div>
    </form>
  </div>

</div>
